Gentoo Archives: gentoo-commits

From: Andrew Ammerlaan <andrewammerlaan@××××××.net>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/proj/guru:master commit in: www-apps/selfoss/
Date: Sat, 23 May 2020 16:10:50
Message-Id: 1590243042.7fcd8d57a0a5212cd66c2d9c0540459952ba295b.andrewammerlaan@gentoo
commit:     7fcd8d57a0a5212cd66c2d9c0540459952ba295b
Author:     Maciej Barć <xgqt <AT> protonmail <DOT> com>
AuthorDate: Sat May 23 14:10:42 2020 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Sat May 23 14:10:42 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=7fcd8d57

www-apps/selfoss: new package; add version 2.18

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Maciej Barć <xgqt <AT> protonmail.com>

 www-apps/selfoss/Manifest            |  1 +
 www-apps/selfoss/metadata.xml        | 11 ++++++++++
 www-apps/selfoss/selfoss-2.18.ebuild | 42 ++++++++++++++++++++++++++++++++++++
 3 files changed, 54 insertions(+)

diff --git a/www-apps/selfoss/Manifest b/www-apps/selfoss/Manifest
new file mode 100644
index 0000000..d0b0248
--- /dev/null
+++ b/www-apps/selfoss/Manifest
@@ -0,0 +1 @@
+DIST selfoss-2.18.zip 2881068 BLAKE2B aaf45ed5fa005cbfba0954a50412b37ec26e17de4308e9604a942861d63ade64149a048936871526f8b45a948555e6d5335152cc18c8664f9668d2e61350b4eb SHA512 6966458f4ef803ac87df7a2650aed73d6d99922f84d21f64950964b752535d3a1ddd8c585ce2ca5a3f58fb9f2de76fa7a0932ce2eb62faa753ed2398b6ebb748

diff --git a/www-apps/selfoss/metadata.xml b/www-apps/selfoss/metadata.xml
new file mode 100644
index 0000000..e12d579
--- /dev/null
+++ b/www-apps/selfoss/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+  <maintainer type="person">
+    <email>xgqt@××××××××××.com</email>
+    <name>Maciej Barć</name>
+  </maintainer>
+  <upstream>
+    <remote-id type="github">SSilence/selfoss</remote-id>
+  </upstream>
+</pkgmetadata>

diff --git a/www-apps/selfoss/selfoss-2.18.ebuild b/www-apps/selfoss/selfoss-2.18.ebuild
new file mode 100644
index 0000000..b48faf2
--- /dev/null
+++ b/www-apps/selfoss/selfoss-2.18.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit webapp
+
+DESCRIPTION="The multipurpose rss reader, live stream, mashup, aggregation web application"
+HOMEPAGE="https://selfoss.aditu.de/"
+SRC_URI="https://github.com/SSilence/${PN}/releases/download/${PV}/${P}.zip"
+LICENSE="GPL-3"
+
+KEYWORDS="~amd64"
+IUSE=""
+
+RDEPEND="
+	>=dev-lang/php-5.4.0[curl,gd]
+	virtual/httpd-php
+	|| (
+		dev-db/mysql
+		dev-db/postgresql
+		dev-db/sqlite
+	)
+"
+
+S=${WORKDIR}
+
+pkg_setup() {
+	webapp_pkg_setup
+}
+
+src_install() {
+	webapp_src_preinst
+
+	insinto "${MY_HTDOCSDIR}"
+	doins -r .
+
+	webapp_serverowned -R "${MY_HTDOCSDIR}"/data
+	webapp_configfile "${MY_HTDOCSDIR}"/.htaccess
+
+	webapp_src_install
+}